package pl.soppo.ucwizard.controler.events 
{
	import flash.events.Event;
	
	/**
	 * ...
	 * @author Maciej Reichwald
	 */
	public class GenerateApplicationEvent extends Event 
	{
		public static const GENERATE_END:String = "generateEndEvent";
		public static const GENERATE_APP:String = "generateAppEvent";
		public static const GENERATE_APP_RESULT:String = "generateAppResultEvent";
		
		private var _result:String;
		
		public function GenerateApplicationEvent(type:String, result:String="", bubbles:Boolean=false, cancelable:Boolean=false) 
		{
			super(type, bubbles, cancelable);
			_result = result;
		}
		
		override public function clone():Event
		{
			return new GenerateApplicationEvent(type, result, bubbles, cancelable);
		}
		
		public function get result():String 
		{
			return _result;
		}
		
		
		
	}

}