package pl.soppo.ucwizard.controler.events 
{
	import flash.events.Event;
	
	/**
	 * ...
	 * @author Maciej Reichwald
	 */
	public class ProgressGenerationEvent extends Event 
	{
		public static const GENERATION_PROGRESS:String = "generationProgressEvent";
		
		private var _progress:Number;
		private var _label:String;
		
		public function ProgressGenerationEvent(type:String, progress:Number, label:String="", bubbles:Boolean=false, cancelable:Boolean=false) 
		{
			super(type, bubbles, cancelable);
			_progress = progress;
			_label = label;
		}
		
		override public function clone():Event
		{
			return new ProgressGenerationEvent(type, progress, label, bubbles, cancelable);
		}
		
		public function get progress():Number 
		{
			return _progress;
		}
		
		public function get label():String 
		{
			return _label;
		}
		
	}

}